Bug 103048 - [maintainer-update] x11-wm/openbox up to 3.3.1
Summary: [maintainer-update] x11-wm/openbox up to 3.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-08 22:00 UTC by redchrom
Modified: 2006-09-20 21:10 UTC (History)
0 users

See Also:


Attachments
openbox_patch (860 bytes, text/plain)
2006-09-08 22:00 UTC, redchrom
no flags Details
openbox.diff (2.38 KB, patch)
2006-09-09 14:07 UTC, redchrom
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description redchrom 2006-09-08 22:00:39 UTC
	Small bug-fix update

How-To-Repeat: 	Apply the patch
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-09-08 22:15:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-09-09 12:58:31 UTC
State Changed
From-To: open->feedback

To compile on 4 it needs USE_GCC=3.2+, but i get some plist errors in 
this case (see the *.mo files, the rest of mtree errors are because of 
tindy): 
http://sce-tindy.tecnik93.com/tb/logs/4-STABLE-i386-myPT/openbox-3.3.1.log
Comment 3 redchrom 2006-09-09 14:07:32 UTC
Fixed, also i found the problem with gettext on freebsd 6, so now
openbox build localized.
Btw. I don't know about do I need remove LC_MESSAGES dirs but port
test show successful results. The patch is attached.
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-09-12 22:02:03 UTC
State Changed
From-To: feedback->open

new patch received
Comment 5 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-09-18 09:49:44 UTC
Responsible Changed
From-To: itetcu->novel

he wants it
Comment 6 Roman Bogorodskiy freebsd_committer 2006-09-20 21:02:38 UTC
State Changed
From-To: open->closed

Committed, thanks. I changed something hoever: 

- INSTALLS_SHLIB is not need if you USE_LDCONFIG. And 
INSTALLS_SHLIB is obsolete, to avoid the warning you need to update 
portlint(1) 
- Remove USE_GCC since I've patched it to build on 4.x - Added some 
@dirrmtry's into plist for locale stuff
Comment 7 dfilter service freebsd_committer 2006-09-20 21:04:54 UTC
novel       2006-09-20 20:01:47 UTC

  FreeBSD ports repository

  Modified files:
    x11-wm/openbox       Makefile distinfo pkg-plist 
  Log:
  Update to 3.3.1.
  
  PR:             103048
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.75      +11 -1     ports/x11-wm/openbox/Makefile
  1.42      +3 -3      ports/x11-wm/openbox/distinfo
  1.20      +20 -0     ports/x11-wm/openbox/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"